<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__bsp__functions" kind="group">
    <compoundname>group_bsp_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__bsp__functions_1gab989986b285e127f78f61c29f6ccbbfa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cybsp_init</definition>
        <argsstring>(void)</argsstring>
        <name>cybsp_init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initialize all hardware on the board. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>CY_RSLT_SUCCESS if the board is sucessfully initialized, if there is a problem initializing any hardware it returns an error code specific to the hardware module that had a problem. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="130" bodyfile="bsp/boards/optional/common/cybsp.c" bodystart="80" column="1" file="bsp/boards/optional/common/cybsp.h" line="58" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>